class PersonalConferencesController < ApplicationController
  def index
    writing_conferences = WritingConference.where(:is_hidden=>false).order_by(:year=>'desc').page(OrbitHelper.params[:page_no]).per(OrbitHelper.page_data_count)
    
    writing_conference_list = writing_conferences.collect do |writing_conference|
      {
        "year" => writing_conference.year,
        "paper_title" => writing_conference.create_link,
        "link_to_show" => OrbitHelper.url_to_show(writing_conference.to_param)
      }
    end
    {
      "writing_conferences" => writing_conference_list,
      "extras" => {
        "widget-title" => t("module_name.personal_conference"),
        "th_year" => t('personal_plugins.year'),
        "th_title" => t("personal_conference.paper_title"),
        "th_author" => t('personal_plugins.author')
      },
      "total_pages" => writing_conferences.total_pages
    }
  end

  def show
    params = OrbitHelper.params
    plugin = WritingConference.where(:is_hidden=>false).find_by(uid: params[:uid])

    fields_to_show = [
      "year", 
      "authors", 
      "paper_title", 
      "conference_title", 
      "location", 
      "period_start_date", 
      "period_end_date", 
      "paper_type",
      "paper_level",
      "sponsor", 
      "author_type",
      "number_of_authors",
      "abstract",
      "url", 
      "file", 
      "publication_date",
      "isbn", 
      "isi_number" ,
      "language" 
    ]
    
    {"plugin_datas"=>plugin.get_plugin_data(fields_to_show)}
  end
end