Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'writing_conference_setting' => "writing_conferences#setting"

      resources :writing_conferences do
        collection do
          get 'toggle_hide' => 'writing_conferences#toggle_hide'
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :writing_conferences do
              collection do
                get 'frontend_setting' => 'writing_conferences#frontend_setting'
                post 'update_frontend_setting' => 'writing_conferences#update_frontend_setting'
              end
            end
          end
        end
      end
      
      resources :conference_paper_types
      resources :conference_paper_levels
      resources :conference_author_types
      resources :tags
		end
	end
end
